from setuptools import setup, find_packages
import os

directory = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(directory, "README.md"), 'r', encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.2.3'

setup(
    name='InstaBotWeb',
    version=VERSION,
    author='Julius-W',
    description='A simple library for managing an Instagram bot using selenium.',
    long_description_content_type='text/markdown',
    long_description=long_description,
    url='https://github.com/Julius-W/InstaBot',
    license='GPL-2.0',
    packages=find_packages(),
    python_requires='>=3.6',
    install_requires=['selenium'],
    keywords=['python', 'Instagram', 'bot', 'automation'],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
        "License :: OSI Approved :: GNU General Public License v2 (GPLv2)",
    ]
)
